Bug 231126 - When you switch to compiz, the workspace switcher doesn't change.
When you switch to compiz, the workspace switcher doesn't change.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-06 05:54 EST by Rodd Clarkson
Modified: 2008-04-05 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-05 19:19:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current Xorg.0.log (24.60 KB, text/plain)
2007-10-17 16:34 EDT, Rodd Clarkson
no flags Details

  None (edit)
Description Rodd Clarkson 2007-03-06 05:54:22 EST
Description of problem:

I've been switching between using compiz and metacity and I've noticed that when
you switch from compiz to metacity the desktop switcher changes appropriately,
but when you go from metacity to compiz, the desktop switcher doesn't change,
but stays with the metacity version.



Version-Release number of selected component (if applicable):

[rodd@localhost ~]$ rpm -q metacity compiz
metacity-2.17.8-1.fc7
compiz-0.3.6-2.fc7




How reproducible:

Very.


Steps to Reproduce:
1. Use System > Preferences > Look and Feel > Desktop affects to enable/disable
compiz.
Comment 1 Rodd Clarkson 2007-03-06 05:55:09 EST
Oops, better add that I'm using Workspace Switcher 2.17.92
Comment 2 vfiend 2007-03-10 04:11:20 EST
I have this problem now that compiz-0.3.6-2 has been pushed to FC6. To get the
workspace switcher working properly I have to log out and log in again after
enabling compiz.

Maybe this bug should be changed to affecting FC6 instead of devel..? I don't know
Comment 3 vfiend 2007-06-01 02:08:57 EDT
Still a problem in Fedora 7 final
Comment 4 Kristian Høgsberg 2007-08-15 18:28:20 EDT
Not 100% sure what this bug is about, but I think it might be fixed by the
recent change in desktop effects.  Could you give the rawhide version
(compiz-0.5.2-5.0ec3ec.fc8) a try and see if it is fixed?
Comment 5 Matěj Cepl 2007-09-12 06:24:19 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Rodd Clarkson 2007-09-12 07:21:08 EDT
I'm still using f7 but will update when test2 is released.

I've tried installing compiz using yum and also by downloading the rpm, but it
seems it needs quite a few packages and I'm keen to leave my stable f7 install
stable.

Can you be a little patient and I'll report when I've installed test2?
Comment 7 Matěj Cepl 2007-09-12 08:51:26 EDT
Cool -- let give it a mont, OK?
Comment 8 Matěj Cepl 2007-10-16 18:40:06 EDT
Rodd, have you managed to try test2 (well, test3 was released mean time and that
would be even better to try)? I would have to close this bug as
INSUFFICIENT_DATA unless you reply as soon as possible.
Comment 9 Rodd Clarkson 2007-10-16 20:43:15 EDT
Seems to work fine now.

I'm actually having troubles switching back to using compiz sometimes, something
seems to be failing.  If I do it from the command line, then it switches, but
the borders and title bar don't appear.  Need's bz'ing?  Or has someone noticed?
Comment 10 Matěj Cepl 2007-10-17 11:15:51 EDT
What is your graphics card? What driver do you use? Could you please assign your
current /var/log/Xorg.0.log to this bug?
Comment 11 Rodd Clarkson 2007-10-17 16:31:52 EDT
Okay, to be clear, the original issue related to this bug I believe is resolved.

I'm using a nvidia graphics card with the livna nvidia driver.

01:00.0 VGA compatible controller: nVidia Corporation NV41.8 [GeForce Go 6800]
(rev a2)

Comment 12 Rodd Clarkson 2007-10-17 16:34:24 EDT
Created attachment 230371 [details]
Current Xorg.0.log
Comment 13 Bug Zapper 2008-04-03 19:37:58 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.